org.appng.appngizer.controller

## Class SessionInterceptor

- java.lang.Object
- - org.appng.appngizer.controller.SessionInterceptor

- All Implemented Interfaces:
    org.springframework.web.context.request.WebRequestInterceptor

      public class SessionInterceptor
      extends Object
      implements org.springframework.web.context.request.WebRequestInterceptor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionInterceptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterCompletion(org.springframework.web.context.request.WebRequest request, Exception ex)`
    `void` | `postHandle(org.springframework.web.context.request.WebRequest request, org.springframework.ui.ModelMap model)`
    `void` | `preHandle(org.springframework.web.context.request.WebRequest request)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionInterceptor

          public SessionInterceptor()

  - ### Method Detail

    - #### preHandle

          public void preHandle(org.springframework.web.context.request.WebRequest request)
                         throws Exception

      Specified by:
        `preHandle` in interface `org.springframework.web.context.request.WebRequestInterceptor`
      Throws:
        `Exception`

    - #### postHandle

          public void postHandle(org.springframework.web.context.request.WebRequest request,
                                 org.springframework.ui.ModelMap model)
                          throws Exception

      Specified by:
        `postHandle` in interface `org.springframework.web.context.request.WebRequestInterceptor`
      Throws:
        `Exception`

    - #### afterCompletion

          public void afterCompletion(org.springframework.web.context.request.WebRequest request,
                                      Exception ex)
                               throws Exception

      Specified by:
        `afterCompletion` in interface `org.springframework.web.context.request.WebRequestInterceptor`
      Throws:
        `Exception`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.